## ros-galactic-mavros 2.3.0

=== debian/changelog ===
ros-galactic-mavros (2.3.0-1focal) focal; urgency=high

  * extras: fix linter errors
  * mavros: remove custom find script, re-generate
  * Merge branch 'master' into ros2
    * master:
    1.14.0
    update changelog
    scripts: waypoint and param files are text, not binary
    libmavconn: fix MAVLink v1.0 output selection
    plugins: add guided_target to accept offboard position targets
    add cmake module path for geographiclib on debian based systems
    use already installed FindGeographicLib.cmake
  * 1.14.0
  * update changelog
  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1771 <https://github.com/mavlink/mavros/issues/1771> from alehed/fix/update_comment
    Put correct version in comment
  * Put correct version in comment
    Now that the change has been merged into master in pymavlink,
    it will be in the next tagged release.
  * Contributors: Alexander Hedges, Sanket Sharma, Vladimir Ermakov, acxz

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-galactic-mavros (2.2.0-1focal) focal; urgency=high

  * extras: fix build
  * Merge branch 'master' into ros2
    * master:
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    ESCTelemetryItem.msg: correct RPM units
    apm_config.yaml: add mount configuration
    sys_status.cpp fix free memory for values > 64KiB
    uncrustify cellular_status.cpp
    Add CellularStatus plugin and message
    *_config.yaml: document usage of multiple batteries diagnostics
    sys_status.cpp: fix compilation
    sys_status.cpp: support diagnostics on up-to 10 batteries
    sys_status.cpp: do not use harcoded constants
    sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
    sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
    mount_control.cpp: use mount_nh for params to keep similarities with other plugins set diag settings before add()
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
    Mount control plugin: add configurable diagnostics
    Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
    Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
    Disable startup_px4_usb_quirk in px4_config.yaml
  * cmake: style fix
  * cmake: downgrade to C++17 as 20 breaks something in rclcpp
  * pylib: fix flake8 for checkid
  * cmake: hide -std=c++2a
  * Merge pull request #1752 <https://github.com/mavlink/mavros/issues/1752> from alehed/fix/make_compatible_with_mavlink_pr_666
    Make compatible with pymavlink type annotations PR
  * Make compatible with pymavlink type annotations PR
    In that PR, the attribute name is changed to msgname due to conflicts
    with message instance variables.

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 27 Jun 2022 00:00:00 -0000

ros-galactic-mavros (2.1.1-1focal) focal; urgency=high

  * Merge pull request #1717 <https://github.com/mavlink/mavros/issues/1717> from rob-clarke/fix--sys-status-callbacks
    Maybe fix sys status callbacks
  * uncrustify
  * Cleanup for pr
  * Initialise common client
  * Add debug
  * Use common client
    Add debug
  * plugins: Fix misprint
    Fix #1709 <https://github.com/mavlink/mavros/issues/1709>
  * Contributors: Rob Clarke, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 02 Mar 2022 00:00:00 -0000

ros-galactic-mavros (2.1.0-1focal) focal; urgency=high

  * plugin: sys_status: Add temporary hack from @Michel1968
    https://github.com/mavlink/mavros/issues/1588#issuecomment-1027699924
  * py-lib: make linters happy again
  * py-lib: fix WPL loading
  * py-lib: reformat with black, fix WPL
  * py-lib: gracefull exiting - need to join to spinner thread
  * py-lib: debug shutdown call
  * py-lib: fix checkid
  * sys: place service servers to separate callback group
  * plugins: fix topic names to use  prefix for namespaced ones
  * py-lib: fix import
  * uas: fix linter warnings
  * uas: set executor timeout to 1s
  * uas: use custom executor derived from MultiThreadedExecutor one
  * uas: fix lambda
  * ci: fix several lint warnings
  * uas: log amount of executor threads
  * command: add request header for possible future use
  * Merge branch 'master' into ros2
    * master:
    1.13.0
    update changelog
    py-lib: fix compatibility with py3 for Noetic
    re-generate all coglets
    test: add checks for ROTATION_CUSTOM
    lib: Fix rotation search for CUSTOM
    Removed CamelCase for class members.  Publish to "report"
    More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
    Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
    Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html

